%define	module	MIME-Types
%define	name	perl-%{module}
%define	modprefix MIME

%define	version	1.17
%define	release %mkrel 1

Name:		%{name}
Summary:	MIME::Types module for Perl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Test::More) >= 0.47
Buildarch:	noarch

%description
This Perl module maintains a set of MIME::Type objects, which each describe one
known mime type.  There are many types defined by RFCs and vendors, so the list
is long but not complete.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*


%changelog
* Wed Aug 16 2006 Scott Karns <scottk@mandriva.org>
+ 08/16/06 14:50:38 (56411)
Version 1.17

* Wed Aug 16 2006 Scott Karns <scottk@mandriva.org>
+ 08/16/06 14:24:49 (56395)
Import perl-MIME-Types

* Tue May 16 2006 Scott Karns <scottk@mandriva.org> 1.16-3mdk
- Modify specfile to comply with Mandriva perl packaging policy

* Fri Mar 31 2006 Buchan Milne <bgmilne@mandriva.org> 1.16-2mdk
- Rebuild
- use mkrel

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.16-1mdk
- 1.16

* Fri May 06 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.15-1mdk
- 1.15
- Change summary
- Add ChangeLog in docs

* Thu Jun 03 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13-1mdk
- 1.13
- wipe buildroot in %%install, not %%prep
- cosmetics

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.07-2mdk
- Franck Villaume <fvill@freesurf.fr>
  - add BuildRequires : perl-devel

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.07-1mdk
- 1.07.

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.005-2mdk
- rebuild for new auto{prov,req}

* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 1.005-1mdk
- 1.005.

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.001-1mdk
- 1.001

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.16-1mdk
- 0.16

* Fri Jan 18 2002 Franois Pons <fpons@mandrakesoft.com> 0.14-1mdk
- changed %%doc to use README and Changes instead of MANIFEST.
- 0.14.

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.06-1mdk
- updated to 0.06

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 0.02-3mdk
- Allow build on non %%ix86 architectures
- Fix %%doc

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.02-2mdk
- fix files section

* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- new in contribs

